#!/bin/env python
# coding: iso-8859-1
import os, operator

for file in os.listdir("logs/"):
	print "<h3>%s</h3>" % file

	fileStats = {}
	songs = open("logs/%s" % file).readlines()
	for line in songs:
		line = line.strip()
		if line in fileStats:
			fileStats[line] = fileStats[line] + 1
		else:
			fileStats[line] = 1

	repeats = 0
	for title in fileStats:
		repeats = repeats + fileStats[title]
	repeats = repeats * 1.0 / len(fileStats)

	print "<h4>TOP 10</h4>\n<ul>"
	for title in sorted(fileStats.items(), key=operator.itemgetter(1), reverse=True)[:10]:
		print "\t<li>%s (%d mal gespielt)</li>" % title

	print "</ul>\n<h4>Statistik</h4>"
	
	print "<dl>\n\t<dt>Titel insgesamt</dt>"
	print "\t<dd>%d</dd>" % len(fileStats)
	print "\t<dt>Gespielte Titel (mit Wiederholungen)</dt>"
	print "\t<dd>%d</dd>" % len(songs) 
	print "\t<dt>Durchschnittliche Titellnge (sollte 3 min sein)</dt>"
	print "\t<dd>%d</dd>" % ((72*60 + 14) / len(songs))
	print "\t<dt>Durchschnittliche Wiederholungsanzahl von Titeln</dt>"
	print "\t<dd>%d</dd>" % repeats
	print "</dl>\n"
